curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations/fr-FR' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'\''article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "Welcome to Our Game",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Slug already exists."
}
{
"message": "PAYLOAD_TOO_LARGE",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Request payload is too large."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Server error."
}
Content
Upsert Content Translation
Creates or updates a translation for a content item in a specific locale.
This operation doesn’t modify translations in other locales or other content fields.
Note: You must first add the locale in the Publisher Dashboard before adding its translation.
PUT
/
v1
/
portal-content
/
{contentId}
/
translations
/
{isoCode}
curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations/fr-FR' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'\''article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "Welcome to Our Game",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Slug already exists."
}
{
"message": "PAYLOAD_TOO_LARGE",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Request payload is too large."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Server error."
}
curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations/fr-FR' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'\''article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "Welcome to Our Game",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Slug already exists."
}
{
"message": "PAYLOAD_TOO_LARGE",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Request payload is too large."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}/translations/{isoCode}",
"body": "Server error."
}
Path Parameters
The locale code. Both ISO-639-1 language code and ISO-3166-1 alpha-2 country code formats are supported.
Body
application/json
Translated body text.
Example:
"Ceci est le contenu principal de l'article en français..."
Response
Translation upserted successfully. Returns the full updated content item.
Was this page helpful?
